phy_error
Prev | PHY Support | Next

## Name

phy_error — enter HALTED state for this PHY device

## Synopsis

`void phy_error (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Moves the PHY to the HALTED state in response to a read or write error, and tells the controller the link is down. Must not be called from interrupt context, or while the phydev->lock is held.

Prev | Up | Next
phy_force_reduction | Home | phy_interrupt